.button {
  border-radius: 0;
}

.checkbox {
  border-radius: 0;
}

.drawer {
  border-radius: 0;
}

.drawer-bar {
  border-radius: 0;
}

.ticker-price-diff-text {
  margin-top: 0.125rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-close-all-button {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-border {
  margin-left: 10px;
  margin-right: 10px;
  height: 1.25rem;
}

.userInfo-mode-container {
  height: 1.25rem;
  border-radius: 0;
}

.userInfo-m-mode-wrapper {
  margin-top: 0px;
}

.userInfo-mode-button {
  height: 1.25rem;
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-interactive01) / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
}

.userInfo-mode-button[data-state=active] {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01Hover) / var(--tw-bg-opacity));
  fill: rgb(var(--colors-t-white) / 1);
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

.userInfo-mode-button[data-state=active]:is(.dark *) {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-white) / var(--tw-text-opacity));
}

.userInfo-column-value {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  line-height: 18px;
  text-decoration-line: none;
}

.userInfo-column-title {
  margin-top: 0.125rem;
  align-items: center;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  line-height: 18px;
}

.userInfo-column-button {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
  fill: rgb(var(--colors-t-primary) / 1);
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

@media (hover: hover) and (pointer: fine) {

  .userInfo-column-button:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(var(--colors-interactive-interactive01Hover) / var(--tw-bg-opacity));
  }
}

.userInfo-m-column-main-title {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  line-height: 18px;
}

.userInfo-m-column-sub-title {
  background-color: transparent;
  padding-left: 0px;
  padding-right: 0px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  line-height: 18px;
}

.userInfo-column-tpsl {
  align-items: baseline;
}

.userInfo-m-TabsContent {
  gap: 0.75rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

.userInfo-m-history-list {
  gap: 0.75rem;
}

.userInfo-m-order-list {
  gap: 0.75rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

.userInfo-m-column-wrapper {
  border-style: none;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
}

.userInfo-m-column-value {
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  line-height: 16px;
}

.userInfo-m-column-title {
  margin-top: 0.125rem;
  align-items: center;
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  line-height: 16px;
}

.userInfo-m-column-button {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
  fill: rgb(var(--colors-t-primary) / 1);
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

@media (hover: hover) and (pointer: fine) {

  .userInfo-m-column-button:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
  }
}

.userInfo-m-position-close-button {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
}

.userInfo-AddMargin-DialogContent {
  border-radius: 0;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

@media (min-width: 768px) {

  .userInfo-AddMargin-DialogContent {
    width: 360px;
  }
}

.userInfo-AddMargin-title {
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
}

.userInfo-m-AddMargin-title {
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
}

.userInfo-AddMargin-List {
  margin-bottom: 0px;
  display: flex;
  flex-direction: column;
}

.userInfo-AddMargin-Column {
  margin-bottom: 0.75rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-AddMargin-Column-title,
.userInfo-AddMargin-Column-value {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-AddMargin-Separator {
  margin-bottom: 0.75rem;
  border-bottom-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
}

.userInfo-AddMargin-orderForm {
  background-color: transparent;
  padding: 0px;
}

.userInfo-AddMargin-orderForm-title,
.userInfo-AddMargin-orderForm-subtitle {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-AddMargin-orderForm-subtitle {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.userInfo-AddMargin-orderForm-inputbox {
  margin-top: 0.25rem;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.userInfo-AddMargin-RadioOptions {
  gap: 0.5rem;
}

.userInfo-AddMargin-RadioOption {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.userInfo-AddMargin-RadioOption[data-state=active] {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
}

.userInfo-AddMargin-button-container {
  margin-top: 1.5rem;
}

.userInfo-Detail-DialogContent {
  border-radius: 0;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

@media (min-width: 768px) {

  .userInfo-Detail-DialogContent {
    width: 680px;
  }
}

.userInfo-Detail-close-icon {
  top: 1rem;
  right: 1.5rem;
}

.userInfo-Detail-share-icon {
  margin-left: 0.25rem;
}

.userInfo-Share-close-icon {
  top: 1rem;
  right: 1.5rem;
}

.userInfo-Detail-FieldLabel {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.userInfo-Detail-FieldValue {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-Detail-Content {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.userInfo-Detail-Content:is(.dark *) {
  background-color: transparent;
}

.userInfo-TPSL-DialogContent {
  border-radius: 0;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

@media (min-width: 768px) {

  .userInfo-TPSL-DialogContent {
    width: 360px;
  }

  .userInfo-Detail-History-content {
    width: 100%;
  }
}

.userInfo-TPSL-main-title {
  text-align: left;
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
}

.userInfo-TPSL-title {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.userInfo-TPSL-title,
.userInfo-TPSL-value,
.userInfo-TPSL-text {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.userInfo-TPSL-error {
  height: 2rem;
  background-color: rgb(var(--colors-t-error) / 0.1);
}

.userInfo-TPSL-error-text {
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-error) / var(--tw-text-opacity));
}

.userInfo-TPSL-input {
  height: 2.5rem;
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.userInfo-TPSL-input--error {
  --tw-border-opacity: 1 !important;
  border-color: rgb(var(--colors-t-error) / var(--tw-border-opacity)) !important;
}

.userInfo-TPSL-RadioOptions {
  gap: 0.5rem;
}

.userInfo-TPSL-RadioOption {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.userInfo-TPSL-RadioOption[data-state=active] {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
}

.userInfo-TPSL-TakeProfit {
  margin-bottom: 0.75rem;
}

.userInfo-TPSL-StopLoss {
  margin-bottom: 0.75rem;
  margin-top: 1rem;
}

.userInfo-TPSL-SubmitButton {
  margin-top: 1.5rem;
}

.userInfo-TPSL-SubmitButton-Cancel {
  margin-right: 10px;
  height: 2.25rem;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-t-link) / var(--tw-border-opacity));
  background-color: transparent;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-link) / var(--tw-text-opacity));
}

@media (hover: hover) and (pointer: fine) {

  .userInfo-TPSL-SubmitButton-Cancel:hover {
    --tw-border-opacity: 1;
    border-color: rgb(var(--colors-t-primary) / var(--tw-border-opacity));
    background-color: transparent;
    --tw-text-opacity: 1;
    color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
  }
}

.userInfo-TPSL-SubmitButton-Cancel:is(.dark *) {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-primary) / var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgb(var(--colors-interactive-primary) / var(--tw-text-opacity));
}

.userInfo-TPSL-SubmitButton-Confirm {
  height: 2.25rem;
}

.userInfo-HighSpread-DialogContent,
.userInfo-CloseOrder-DialogContent,
.userInfo-ClosePosition-DialogContent {
  border-radius: 0;
  padding-bottom: 0.5rem;
}

.userInfo-CloseAllPosition-DialogContent {
  border-radius: 0;
}

.userInfo-ShareModelPC-DialogWrapper {
  border-radius: 0;
  padding: 16px 24px;
}

@media (min-width: 768px) {

  .userInfo-ShareModelPC-DialogWrapper {
    min-height: 454px;
    width: 560px;
    min-width: 560px;
  }
}

.userInfo-ShareCheckbox-wrapper {
  padding-top: 24px;
}

.userInfo-ShareCheckbox {
  border-radius: 0;
  background-color: transparent;
}

.userInfo-ShareCheckbox[data-state=checked] {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-t-third) / var(--tw-bg-opacity));
  color: transparent;
  --tw-shadow: inset 0 0 0 2px #151515;
  --tw-shadow-colored: inset 0 0 0 2px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.userInfo-ShareButton-wrapper {
  -moz-column-gap: 10px;
       column-gap: 10px;
}

.userInfo-ShareButton-Copy {
  height: 2.25rem;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-t-link) / var(--tw-border-opacity));
  background-color: transparent;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-link) / var(--tw-text-opacity));
}

@media (hover: hover) and (pointer: fine) {

  .userInfo-ShareButton-Copy:hover {
    --tw-border-opacity: 1;
    border-color: rgb(var(--colors-t-primary) / var(--tw-border-opacity));
    background-color: transparent;
    --tw-text-opacity: 1;
    color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
  }
}

.userInfo-ShareButton-Copy:is(.dark *) {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-primary) / var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgb(var(--colors-interactive-primary) / var(--tw-text-opacity));
}

.userInfo-ShareButton-Download {
  height: 2.25rem;
}

.userInfo-DataEmpty-container {
  height: auto;
  padding-top: 1.5rem;
}

@media (min-width: 1212px) {

  .userInfo-DataEmpty-container {
    padding-top: 2.25rem;
    padding-bottom: 2.25rem;
  }
}

.userInfo-DataEmpty-icon {
  display: none;
}

.userInfo-DataEmpty-title {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

.userInfo-PopoverTooltip-content {
  border-radius: 0;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.userInfo-PopoverTooltip-text {
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

.wallet-adapter-modal {
  pointer-events: auto !important;
  z-index: 1300 !important;
}

.wallet-adapter-modal-wrapper {
  border-radius: 0 !important;
  --tw-bg-opacity: 1 !important;
  background-color: rgb(var(--colors-interactive-interactiveBg) / var(--tw-bg-opacity)) !important;
  padding-top: 1rem !important;
  padding-bottom: 1rem !important;
  padding-left: 1.5rem !important;
  padding-right: 1.5rem !important;
  font-family: var(--font-site-main) !important;
}

.wallet-adapter-modal-title {
  padding: 0px !important;
  padding-bottom: 1rem !important;
  padding-right: 1.25rem !important;
  text-align: start !important;
  font-size: 1.25rem !important;
  line-height: 1.5625rem !important;
  font-weight: 400 !important;
}

.wallet-adapter-modal-button-close {
  top: 1rem !important;
  right: 1rem !important;
  height: 1.25rem !important;
  width: 1.25rem !important;
  background-color: transparent !important;
  padding: 0px !important;
}

.wallet-adapter-button {
  border-width: 1px !important;
  border-style: solid !important;
  --tw-border-opacity: 1 !important;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity)) !important;
  padding: 1rem !important;
  font-family: var(--font-site-main) !important;
  font-size: 1rem !important;
  line-height: 1.25rem !important;
  font-weight: 400 !important;
}

@media (hover: hover) and (pointer: fine) {

  .wallet-adapter-button:not([disabled]):hover:hover {
    --tw-bg-opacity: 1 !important;
    background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity)) !important;
  }
}

.wallet-adapter-modal-list > :not([hidden]) ~ :not([hidden]),
.wallet-adapter-collapse > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0 !important;
  margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse))) !important;
  margin-bottom: calc(0.625rem * var(--tw-space-y-reverse)) !important;
}

.wallet-adapter-modal-list-more {
  padding: 0px !important;
}

.wallet-adapter-modal-list .wallet-adapter-button-start-icon {
  margin-right: 0.5rem !important;
  height: 1rem !important;
  width: 1.5rem !important;
}

.order-form-slider-track {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-border-line) / var(--tw-bg-opacity));
}

.order-form-wait-toast,
.order-form-success-toast,
.order-form-fail-toast {
  --tw-border-opacity: 1 !important;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity)) !important;
}

.order-form-mode-switch {
  border-bottom-width: 0px;
}

.order-form-mode-switch-button {
}

.order-form-mode-switch-separator {
  height: 1.5rem;
  border-right-width: 1px;
}

.direction-switch {
  border-radius: 0;
  background-color: transparent;
}

.direction-switch-long,
.direction-switch-short {
  border-radius: 0;
}

.direction-switch-long[data-state=inactive],
.direction-switch-short[data-state=inactive] {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-background-bg1) / var(--tw-bg-opacity));
}

.direction-switch-long[data-state=active] {
  background-color: rgb(var(--colors-interactive-buy) / 0.15);
}

.direction-switch-long[data-state=active]>span {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-buy) / var(--tw-text-opacity));
}

.direction-switch-short[data-state=active] {
  background-color: rgb(var(--colors-interactive-sell) / 0.15);
}

.direction-switch-short[data-state=active]>span {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-sell) / var(--tw-text-opacity));
}

.direction-switch-long > span[data-state=inactive],
.direction-switch-short > span[data-state=inactive] {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.order-form-input-container {
  height: 2.5rem;
  border-radius: 0;
  border-width: 1px;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-lineSubtle) / var(--tw-border-opacity));
  border-color: transparent;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.order-form-input-container:focus-within {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-t-link) / var(--tw-border-opacity));
}

.order-form-input-container:focus-within:is(.dark *) {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-primary) / var(--tw-border-opacity));
}

.order-form-input-container {
  input {
    border-radius: 0;
  }
  input:focus-visible {
    --tw-bg-opacity: 1;
    background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
  }
}

.order-form-token-list {
  border-radius: 0;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBg) / var(--tw-bg-opacity));
}

@media (min-width: 768px) {

  .order-form-token-list {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
}

.order-form-token-search {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.order-form-token-search-input {
  background-color: transparent !important;
}

.order-form-token-search-input:focus-visible {
  background-color: transparent;
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.order-form-token-search-icon {
  height: 18px;
  width: 18px;
}

.order-form-token-badge {
  border-radius: 0;
}

.order-form-slider-thumb {
  height: 0.625rem;
  width: 0.5rem;
  border-radius: 0;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-primary) / var(--tw-bg-opacity));
}

.dark .order-form-slider-mark {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-primary) / var(--tw-bg-opacity));
}

.order-form-slider-mark {
  width: 0.1875rem;
  border-radius: 0;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-t-link) / var(--tw-bg-opacity));
}

.dark .simple-trade-active-slider {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-primary) / var(--tw-bg-opacity));
}

.simple-trade-active-slider {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-t-link) / var(--tw-bg-opacity));
}

.order-form-tpsl-container {
  height: 2.5rem;
  border-radius: 0;
  border-width: 1px;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-lineSubtle) / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.order-form-tpsl-slippage-container {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.order-form-tpsl-popover-container {
  border-radius: 0;
}

.order-form-submit-button {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-inverse) / var(--tw-text-opacity));
}

.order-form-leverage-popover-container {
  border-radius: 0;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-border-line) / var(--tw-bg-opacity));
  background-image: none !important;
}

.order-form-leverage-popover-container > div {
  border-radius: 0;
}

.order-form-expiration-radio-option {
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
  background-color: transparent;
}

.order-form-expiration-radio-option[data-state=active] {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
}

.degen-mode-dropdown-wrapper {
  padding-left: 0px;
  padding-right: 0px;
}

.degen-mode-dropdown-icon {
  display: none;
}

.degen-mode-tooltip-container {
  background-color: transparent;
}

.degen-mode-tooltip-list {
  padding-left: 0px;
  padding-right: 0px;
}

.degen-mode-tooltip-ul {
  margin-left: 0px;
  list-style-type: none;
  background-color: rgb(var(--colors-interactive-primary) / 0.1);
  padding: 0.5rem;
  line-height: 1.5;
}

.degen-mode-tooltip-ul li span {
  margin-left: 0px;
}

.degen-mode-tooltip-item {
  padding: 0.125rem;
}

.degen-mode-tooltip-link {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.order-form-popover-tooltip-content {
  border-radius: 0;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.order-form-popover-tooltip-text {
  font-size: 0.75rem;
  line-height: 0.9375rem;
  font-weight: 300;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

.order-form-confirm-button-buy {
  height: 2.25rem;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-t-buy) / var(--tw-bg-opacity));
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-inverse) / var(--tw-text-opacity));
}

.order-form-confirm-button-sell {
  height: 2.25rem;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-t-sell) / var(--tw-bg-opacity));
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-inverse) / var(--tw-text-opacity));
}

.orderform-container {
  border-bottom-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
}

@media (min-width: 1212px) {

  .orderform-container {
    border-style: none;
    padding: 0px;
  }
}

.orderform-common-text {
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 400;
}

.order-form-drag-node {
  background-color: transparent;
}

.order-form-expiration-radio-option:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBgHover) / var(--tw-bg-opacity));
}

.order-form-long-active {
  border-width: 1px;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-buy) / var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-buy) / var(--tw-text-opacity));
  background: linear-gradient(0deg, rgba(29, 177, 168, 0.15) 0%, rgba(29, 177, 168, 0.15) 100%),
    var(--interactive_bg, #151515);
}

.order-form-short-active {
  border-width: 1px;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-interactive-sell) / var(--tw-border-opacity));
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-sell) / var(--tw-text-opacity));
  background: linear-gradient(0deg, rgba(236, 102, 73, 0.15) 0%, rgba(236, 102, 73, 0.15) 100%), #151515;
}

.order-form-border-line {
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
}

.slider-range {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-primaryAccent01) / var(--tw-bg-opacity));
}

.order-form-slider-selected-text {
  font-size: 14px;
}

.order-form-slider-select-text {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-third) / var(--tw-text-opacity));
}

.order-form-degen-label {
  display: flex;
  align-items: center;
  border-radius: 0;
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-primary) / var(--tw-bg-opacity));
  background-image: none;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-top: 0px;
  padding-bottom: 0px;
  opacity: 1;
}

.order-form-no-rounded {
  border-radius: 0;
}

.order-form-degen-label-none {
  display: none;
}

.order-form-degen-label-text {
  font-size: 12px;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity));
}

.order-form-tpsl-container-error {
  --tw-ring-opacity: 1;
  --tw-ring-color: rgb(var(--colors-t-error) / var(--tw-ring-opacity));
}

.orderform-tpsl-popover {
  width: 100%;
}

.orderform-perp-dumb-expiration-options-popover > div {
  height: 2.75rem;
  border-radius: 0;
}

.order-form-perp-dumb-expiration-options-popover-container {
  border-radius: 0;
}

.order-form-wait-toast,
.order-form-success-toast,
.order-form-fail-toast {
  --tw-border-opacity: 1 !important;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity)) !important;
}

.order-form-trading-badge {
  background-color: transparent !important;
  padding-left: 0px;
  padding-right: 0px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 300;
}

.order-form-bottom {
  padding: 0px;
}

.positions-column[data-column-hash],
.orders-column[data-column-hash],
.positions-column[data-column-hash] > *:last-child,
.orders-column[data-column-hash] > *:last-child {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactiveBg) / var(--tw-bg-opacity));
}

.positions-column[data-column-hash]:hover,
.orders-column[data-column-hash]:hover,
.positions-column[data-column-hash]:hover > :last-child,
.orders-column[data-column-hash]:hover > :last-child {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
}

.positions-column[data-column-hash] > :last-child::after,
.orders-column[data-column-hash] > :last-child::after {
  --tw-gradient-from: rgb(var(--colors-interactive-interactiveBg) / 1) var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(var(--colors-interactive-interactiveBg) / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}

.positions-column[data-column-hash]:hover > :last-child::after,
.orders-column[data-column-hash]:hover > :last-child::after {
  --tw-gradient-from: rgb(var(--colors-interactive-interactive01) / 1) var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(var(--colors-interactive-interactive01) / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}

.perp-dumb-expiration-options-list {
  height: 30px;
  gap: 0.5rem;
  border-radius: 0;
  border-style: none;
  background-color: transparent;
}

.perp-dumb-expiration-options-list > li {
  height: 30px;
  border-radius: 0;
  border-width: 1px;
  --tw-border-opacity: 1;
  border-color: rgb(var(--colors-border-line) / var(--tw-border-opacity));
}

@media (hover: hover) and (pointer: fine) {

  .perp-dumb-expiration-options-list > li:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
    --tw-text-opacity: 1;
    color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
  }
}

.perp-dumb-expiration-options-list > li[data-active="true"] {
  --tw-bg-opacity: 1;
  background-color: rgb(var(--colors-interactive-interactive01) / var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-primary) / var(--tw-text-opacity));
}

.perp-dumb-expiration-options-list > li[data-disabled="true"] {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-border-line) / var(--tw-text-opacity));
}

.qty-percent-option {
  padding-top: 5px;
  padding-bottom: 5px;
}

.order-form-approve-button {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-dark) / var(--tw-text-opacity));
}

.dark .order-form-slider-select-highlight-text {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-highLight) / var(--tw-text-opacity));
}

.order-form-slider-select-highlight-text {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-link) / var(--tw-text-opacity));
}

label[for="limit-price-input"] {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-link) / var(--tw-text-opacity));
}

.dark label[for="limit-price-input"] {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-highLight) / var(--tw-text-opacity));
}

.simple_trading_orderform_fee, .simple_trading_orderform_fee_tip {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-t-link) / var(--tw-text-opacity));
}

.dark .simple_trading_orderform_fee, .dark .simple_trading_orderform_fee_tip {
  --tw-text-opacity: 1;
  color: rgb(var(--colors-highLight) / var(--tw-text-opacity));
}